Create
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.XAAClientAudienceMapping.Create(ctx, operations.C1APICrossAppAccessV1XAAClientAudienceMappingServiceCreateRequest{
XaaResourceServerID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.XAAClientAudienceMappingServiceCreateResponse != nil {
// handle response
}
}curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/xaa/resource_servers/{xaa_resource_server_id}/client_audience_mappings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"audienceClientId": "<string>",
"clientKey": "<string>",
"disabled": true
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/xaa/resource_servers/{xaa_resource_server_id}/client_audience_mappings"
payload = {
"audienceClientId": "<string>",
"clientKey": "<string>",
"disabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({audienceClientId: '<string>', clientKey: '<string>', disabled: true})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/xaa/resource_servers/{xaa_resource_server_id}/client_audience_mappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"clientAudienceMapping": {
"audienceClientId": "<string>",
"clientKey": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"disabled": true,
"updatedAt": "2023-11-07T05:31:56Z",
"xaaResourceServerId": "<string>"
}
}Cross-App Access
Create
Create a client audience mapping under a resource server.
POST
/
api
/
v1
/
xaa
/
resource_servers
/
{xaa_resource_server_id}
/
client_audience_mappings
Create
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.XAAClientAudienceMapping.Create(ctx, operations.C1APICrossAppAccessV1XAAClientAudienceMappingServiceCreateRequest{
XaaResourceServerID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.XAAClientAudienceMappingServiceCreateResponse != nil {
// handle response
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The resource server this mapping applies to.
Body
application/json
Response
200 - application/json
XAAClientAudienceMappingServiceCreateResponse returns the created mapping.
XAAClientAudienceMappingServiceCreateResponse returns the created mapping.
XAAClientAudienceMapping maps a client to its identifier at one resource server. Never stores credential material.
Show child attributes
Show child attributes
Was this page helpful?
⌘I